> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Extended Report History



## OpenAPI

````yaml /openapi/product/scheduled-reports-api.yaml get /api/content/v1/reportschedules/extendedHistory
openapi: 3.1.0
info:
  title: Scheduled Reports API
  version: 1.0.0
  description: Scheduled Reports API
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain.
security:
  - DomoDeveloperToken: []
paths:
  /api/content/v1/reportschedules/extendedHistory:
    get:
      tags:
        - Scheduled Reports API
      summary: Get Extended Report History
      operationId: getExtendedReportHistory
      parameters:
        - in: query
          name: filter
          schema:
            type: string
            default: USER
          description: Filter type
        - in: query
          name: days
          schema:
            type: integer
            default: 10
          description: Number of days to look back
        - in: query
          name: orderBy
          schema:
            type: string
            default: startTime
            enum:
              - reportTitle
              - startTime
              - endTime
              - automated
              - cardCount
              - attachmentCount
              - attachmentSize
              - emailSize
          description: Field to sort by
        - in: query
          name: isAscending
          schema:
            type: boolean
            default: false
          description: Sort order
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ReportHistoryEntry'
        '403':
          description: Forbidden
        '409':
          description: Conflict
components:
  schemas:
    ReportHistoryEntry:
      type: object
      properties:
        id:
          type: integer
        reportId:
          type: integer
        reportTitle:
          type: string
        reportSubject:
          type: string
        startTime:
          type: string
          format: date-time
        endTime:
          type: string
          format: date-time
        automated:
          type: boolean
        cardCount:
          type: integer
        attachmentCount:
          type: integer
        attachmentSize:
          type: integer
        emailSize:
          type: integer
        status:
          type: string
        ownerId:
          type: integer
        recipientCount:
          type: integer
        resourceType:
          type: string
        resourceId:
          type: integer
        resourceName:
          type: string
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/ReportRecipient'
    ReportRecipient:
      type: object
      properties:
        userId:
          type: integer
        displayName:
          type: string
        emailAddress:
          type: string
          format: email
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````